---
title: 'resume'
header: 'Resume'
headerFont: 'Broadway'
uris: [
  { label: 'CodeGaia', uri: 'https://codegaia.io/' },
  { label: 'Coursedog', uri: 'https://coursedog.com/' },
  { label: 'Wunderdog', uri: 'https://wunderdog.fi/' },
  { label: 'HERE WeGo', uri: 'https://wego.here.com/' },
  { label: 'Telekom Innovation Labs', uri: 'https://laboratories.telekom.com/' },
]
---
In me you will find an enthusiastic, passionate developer with more than 14 years of professional experience in software development, including leadership, full-stack web development, consulting, coaching and community work. As an expert in the latest technologies with a deep understanding of web development and user experience design, I strive to seek roles in creative, forward thinking companies with diverse teams that offer challenging work, trust and responsibility.

# Skills

 * Proficient in common web technologies (HTML/CSS/Javascript)
 * Deep understanding of Typescript and Vuejs as my core technologies
 * Skilled in back-end technologies like Nodejs, Deno, Express, Ruby On Rails
 * Strong Knowledge of UX principles
 * Adept user of version control systems like Git and Mercurial
 * Agile project management with experience in leading small teams

# Recent Professional Experience

## Principal Frontend Engineer
> CodeGaia, Munich, DE |  August 2022 – Present

 * Serving as the Principal Frontend Developer, leading the frontend chapter with a focus on strategic direction and team leadership.
 * Tasked with establishing development standards, setting the bar for technical excellence, and making key technical decisions to uphold the highest quality and maintainability standards.
 * Led the charge in the complete re-implementation of the company's main web application, overseeing the project from conception to successful deployment and ongoing improvement.

## Senior Software Engineer
> Coursedog, New York, NY / remote  |  June 2021 – July 2022

 * Acted as the primary point of contact and guide for newcomers in the front-end chapter, ensuring a smooth and welcoming onboarding experience.
 * Responsible for the implementation, enhancement, and maintenance of large-scale features within a complex web application, showcasing advanced technical proficiency and problem-solving skills.
 * Innovated the development process by introducing containerization with Docker, streamlining developer onboarding and significantly enhancing the Developer Experience (DX).
 * Pioneered the implementation of feature flags in the front-end, leading the initiative and demonstrating a commitment to modern, efficient development practices.
 * Played a crucial role in the company's transition to TypeScript, contributing significantly to the enhancement of code quality and maintainability.

## Senior Consultant
> Wunderdog, Berlin, DE / Helsinki, FI  |  June 2018 – June 2021

 * Provided expert consultancy services to a diverse range of clients across various sectors, including retail, car sharing, travel, entertainment, and human resources.
 * Held pivotal leadership roles, demonstrating a strong capability in guiding teams and projects to successful outcomes.
 * Entrusted with the responsibility of hiring and forming new teams, as well as enhancing the performance and efficiency of existing teams.
 * Demonstrated versatility by working effectively in a variety of organizational settings, from large corporations with thousands of employees to dynamic small-scale startups.
 * Played a key role in feature development for projects of varying scopes and stages, ranging from medium and large-sized initiatives to greenfield projects.

# Previous Professional Experience (Brief Summary)

Over the span of nearly a decade, my career has been marked by a series of dynamic and challenging roles, both as a freelancer and in-house senior software engineer. Since 2009, I thrived in the freelancing domain, working with a diverse array of clients including notable names like Telekom Innovation Labs, HERE Technologies, Zalando, Camunda, and Blacklane. My projects spanned various industries, from retail and travel to cloud management and business process modeling. This period was characterized by a deep engagement in the full spectrum of web application development, from concept to deployment, which honed my ability to adapt to different environments and requirements.

In parallel with my freelancing endeavors, I held significant positions in established companies such as HERE Technologies and FromAtoB GmbH in Berlin. My tenure at HERE (November 2013 - May 2015 and November 2017 - March 2018) was instrumental in developing complex web applications, including the web mapping and satellite navigation software HERE WeGo and a web-based floor plan and indoor navigation system. At FromAtoB (August 2016 - September 2017), I played a pivotal role in developing a travel sector single-page application and leading various development initiatives. These experiences not only underscored my technical expertise but also highlighted my leadership capabilities in guiding teams and projects to successful fruition.
